ConnectUP API Interface Specification

ACI Worldwide, Inc

2026-10-27

About the ConnectUP API

ConnectUP is a RESTful web API that exposes various payments-related services.

Message flow

ConnectUP accepts both HTTP POST messages with a URL-encoded body or JSON request messages. ConnectUP will return an HTTP response with a JSON body.

Supported services

ConnectUP supports the following major services:

  • Payment - The Payments service performs payments and runs other payment-related operations.

  • Tokenization - The Tokenization service creates a token based on card data and retrieves card data based on a token.

  • Point-to-Point Encryption (P2PE) - The P2PE service provides Point-to-Point Encryption related operations like Remote Key Distribution.

  • Validated P2PE (VP2PE) - The Validated P2PE service submits terminal data for reporting and record keeping purposes as part of a validated P2PE solution.

  • APM Token Decrypt - The APM (Alternative Payment Method) Decrypt service is used to decrypt payment tokens generated by alternative payment methods such as Apple Pay and Google Pay. The decrypted content of the token is returned in the response. This can be useful for systems where validation of the contents of the token is required before the financial leg of the transaction is attempted.

  • Network Management service - The Network Management service performs and runs network management related operations.

  • Batch Management service - This service is used to send batch management request messages.

About this publication

This document details how to use ConnectUP relating to services and parameters. The descriptions are separated by use-case so that granular explanation is possible.

Each parameter is described as Mandatory, Conditional, or Optional for each explained use-case. The distinction between these is as follows:

Mandatory
The parameter must be present in the request message for the given use-case to occur. The request can be rejected without this parameter.

Conditional
The parameter is required in combination with other parameters for the given use-case to be possible, but there can be more than one set of parameters which can enable this use-case. The request can be rejected if one of the combinations of parameters is not present.

Optional
The presence or absence of this parameter will not affect the use-case. The request will never be rejected if this parameter is not present.

1. Authentication

1.1. Authorization Bearer Token

To align with authentication changes to the Open Payment Platform API specification, support for the new Authorization: Bearer <access-token> header, and related entityId field, have been added to all services to authenticate requests.

Currently, the value of the access-token is the result of concatenating the existing authentication.userId (Deprecated) and authentication.password (Deprecated) fields (as provided during user creation), and Base64-encoding the result.

Note
The now deprecated authentication.* fields can still be used in requests but cannot be combined with the Authorization header and related entityId field. If these fields are combined in any way, authentication will fail.

Existing clients that wish to use the new authentication fields can:

  1. Construct the token themselves as described above.

  2. Request new user credentials from ACI, which will include the access-token.

Parameter name Description Required Regex

Authorization: Bearer <access-token>

An HTTP header access-token for this request.
To be used with the root entityId field only.

Required

ANS110
[\x20-\xFF]{0,110}

entityId

The entity associated with the request.
To be used with the HTTP Authorization header only.

Required

AN32
[a-f0-9]{32}

Example
curl http://[hostname]:[port]/paymentsapi/opp/v1/payment -v
  -H "Authorization: Bearer NjAyNTYzYjdmOGVmYTdjZWUxNDJmOWV..."
  -d "entityId=b964f0e254a717c1524355a6149b575d"
  [...]

1.2. Legacy Authentication

The legacy authentication fields remain a supported method for authenticating ConnectUP requests. It is recommended that you use the Authorization Bearer Token to authenticate requests. The fields listed here are deprecated and will be removed in a future release.

Parameter name Description Required Regex

authentication.userId (Deprecated)

The user ID for the entity.

Required

AN32
[a-f0-9]{32}

authentication.entityId (Deprecated)

The entity ID for the entity.

Required

AN32
[a-f0-9]{32}

authentication.password (Deprecated)

The password for the entity.

Required

AN32
[a-f0-9]{32}

Example
curl http://[hostname]:[port]/paymentsapi/opp/v1/payment -v
  -d "authentication.userId=602563b7f8efa7cee142f9eea51e7850"
  -d "authentication.password=28044F4F0973DBF6364BFFE114D3C118"
  -d "authentication.entityId=b964f0e254a717c1524355a6149b575d"
  [...]

2. Payment Service

The Payments service performs payments and runs other payment-related operations.

2.1. Base Payment Operations

2.1.1. Pre-Authorization Request

This payment operation places an authorization hold on funds for a future payment transaction. The funds reserved can then either be captured, or reversed at a later stage by referencing this authorization payment request.

A Pre-Authorization request is created by sending a POST request over HTTPS to the https://[hostname]:[port]/paymentsapi/opp/v1/payment resource.

The minimum requirements for sending a PA message are listed below. See the Specialized Payment Use Cases section for use cases that required additional fields.

Parameter name Description Required Regex

Authorization: Bearer <access-token>

An HTTP header access-token for this request.
To be used with the root entityId field only.

Conditionally Required

ANS110
[\x20-\xFF]{0,110}

entityId

The entity associated with the request.
To be used with the HTTP Authorization header only.

Conditionally Required

AN32
[a-f0-9]{32}

paymentType

The payment type indicator.
AR - Admin Request
AN - Admin Notification
DB - Debit Request
CD - Credit Request
CP - Capture Notification
RV - Reversal Notification
PA - Pre-Authorization Request
PC - Pre-Authorization Credit Request
CN - Credit Notification
IR - ICC Data Submission
GD - Stored Value Deactivation
GL - Stored Value Load
GA - Stored Value Activation
GT - Stored Value Top-up
BI - Balance Inquiry
DA - Debit Adjustment
DP - Deposit
RR - Reversal Request
CV - Card Verification
CA - Credit Adjustment
CC - Check Authorization
CG - Check Guarantee
MS - Mini Statement

Required

PA

amount

Indicates the total amount of the payment request (including all tax, duty, shipping, and discount amounts).
​
If the convenienceFee or cashbackAmount parameters are also provided, they must be included in this amount.
​
If the applePay.paymentToken parameter is provided, the amount within the token is compared to this field, or this field overrides the token amount. This is based on upstream configuration.
​
A period (.) is used as a decimal separator in all cases. Based on the currency of the transaction, the correct number of decimals must be provided after the decimal separator.
​
For example, to specify one dollar and fifty cents , the following value would be supplied (USD uses two decimals after the separator): 1.50. To specify zero dollars and 50 cents, the following value would be supplied: 0.50.

Required

N8.N4
[0-9]{1,8}(\.[0-9]{1,4})?

card.number

The Primary Account Number (PAN) of the physical card. For check transactions (paymentType CC and CG) a 6-digit Check Card Number may be supplied instead of a full PAN; all other transactions require a 12-19 digit PAN.

Conditionally Required

N6 or N12..19
^([0-9]{6}|[0-9]{12,19})$

card.expiryMonth

The month that the card expires.

Conditionally Required

N2
[0-9]{2}

card.expiryYear

The year that the card expires.

Conditionally Required

N4
(20|21)([0-9]{2})

correlationId

An originator identifier of a transaction that is to be used throughout a multiple server system. This identifier should be transparently transmitted to upstream entities. It can be used to collate related transactions together, such as an authorization and its completion or reversal. A new ID is generated for request messages when an ID is not supplied. A correlation ID supplied on subsequent linked messages must match the ID of the original message.

Optional

ANS36
[\x20-\xFF]{1,36}

serviceRestrictionCode.area

The area of usage and whether the card has additional read facilities.

Optional. Required if other serviceRestrictionCode \ subfields are present.

INT_CARD|​
INT_CARD_IC_FACILITIES|​
NAT_USE_ONLY|​
NAT_USE_ONLY_IC_FACILITIES|​
TEST_CARD

serviceRestrictionCode.authorization

The authorization processing requirements for this card.

Optional. Required if other serviceRestrictionCode \ subfields are present.

NORMAL_AUTH|​
ONLINE_AUTH_MANDATORY|​
ONLINE_AUTH_GEN_MANDATORY

serviceRestrictionCode.range

The range of services available and PIN requirements.

Optional. Required if other serviceRestrictionCode \ subfields are present.

PIN_REQUIRED|​
NO_RESTRICTIONS|​
GOODS_AND_SERVICES_ONLY|​
PIN_REQUIRED_ATM|​
PIN_REQUIRED_GOODS_AND_SERVICES_POS_ATM|​
PIN_REQUIRED_PIN_PAD_PRESENT|​
PIN_REQUIRED_PIN_PAD_PRESENT_GOODS_AND_SERVICES_POS_ATM

pos.terminalId

The terminal identifier assigned by the acquirer.

Required

AN8
[a-zA-Z0-9_]{8}

pos.storeId

The store identifier assigned by the acquirer.

Required

ANS15
[\x20-\xFF]{1,15}

pos.entryMode

The interface that was used by the terminal for the transaction.

Required

CREDENTIAL_ON_FILE|​
ICC|​
ICC_CVV_UNRELIABLE|​
MANUAL|​
MAGSTRIPE|​
NFC_MAGSTRIPE|​
NFC_ICC|​
SAME_AS_ORIGINAL|​
MAGSTRIPE_AS_FALLBACK|​
MAGSTRIPE_TO_MANUAL|​
CONTACTLESS_TO_ICC|​
CONTACTLESS_TO_MAGSTRIPE|​
MAGSTRIPE_CVV_UNRELIABLE|​
BARCODE|​
OCR|​
UNKNOWN

pos.terminalRestrictions

The field indicates specific rules or limitations applied to a terminal.

Optional

NONE|​
CHIP_BASED|​
HOST_BASED|​
BOTH

merchantTransactionId

The merchant-provided reference number. It must be unique for the merchant’s transactions.

Required

ANS255
[\x20-\xFF]{8,255}

memoPost

When this flag is set to true, it indicates that this is a memoPost transaction, which is only captured for memo/reporting purposes.

Optional

true|false

deferredAuthorization

When this flag is set to true, it indicates that this is a Deferred Authorization transaction.

Optional

true|false

merchant.acquiringInstitutionCode

A code identifying the financial institution acting as the acquirer of this customer transaction.
This field is supported in payment, batch, and network management messages. For payment messages, if this field is not provided, the system will fall back to the `PSTLN_ACQUIRING_INSTITUTION_CODE` customParameter if present.

Optional

AN11
^[a-zA-Z0-9]{1,11}$

merchant.marketplaceId

The marketplace ID.

Optional

AN11
[a-zA-Z0-9]{1,11}

fee.amount

The transaction fee amount (for example surcharge amount) in major denomination. A period (.) is used as the decimal separator. Based on the currency of the transaction, the correct number of decimals must be provided after the decimal separator. For example, to specify one dollar and twenty-five cents, the following value would be supplied (USD uses two decimals after the separator): 1.25.

Optional

N8.N4
[0-9]{1,8}(\.[0-9]{1,4})?

fee.indicator

Indicates whether the transaction fee amount is a DEBIT or CREDIT to the acquirer.
​
Possible values are:
DEBIT - The fee is debited from the cardholder.
CREDIT - The fee is credited to the cardholder.

Optional. Required when fee.amount is present.

ANS6
DEBIT|CREDIT

ConnectUP supports receiving card data in other formats. For more details on sending card information, see Alternative Card Data.

Example
curl http://[hostname]:[port]/paymentsapi/opp/v1/payment -v
  -H "Authorization: Bearer NjAyNTYzYjdmOGVmyODA0NEY0Rj..."
  -d "entityId=b964f0e254a717c1524355a6149b575d"
  -d "paymentType=PA"
  -d "card.number=4444444444444448"
  -d "card.expiryMonth=05"
  -d "card.expiryYear=2018"
  -d "correlationId=0aec0a35-1db7-4604-b6c5-1bcec197b6de"
  -d "amount=21.00"
  -d "pos.terminalId=34056111"
  -d "pos.storeId=78919753"
  -d "pos.entryMode=MANUAL"
  -d "merchantTransactionId=ce6b3d18b660db9aa7ef667be8f098d1"
  -d "merchant.acquiringInstitutionCode=12345678901"
  -d "merchant.marketplaceId=12345678901"
  -d "fee.amount=1.25"
  -d "fee.indicator=DEBIT"

2.1.2. Debit Request

This payment operation debits the account of the customer and credits the merchant account.

A Debit request is created by sending a POST request over HTTPS to the https://[hostname]:[port]/paymentsapi/opp/v1/payment resource.

The minimum requirements for sending a DB message are listed here. See the Specialized Payment Use Cases section for use cases that required additional fields.

Parameter name Description Required Regex

Authorization: Bearer <access-token>

An HTTP header access-token for this request.
To be used with the root entityId field only.

Conditionally Required

ANS110
[\x20-\xFF]{0,110}

entityId

The entity associated with the request.
To be used with the HTTP Authorization header only.

Conditionally Required

AN32
[a-f0-9]{32}

paymentType

The payment type indicator.
AR - Admin Request
AN - Admin Notification
DB - Debit Request
CD - Credit Request
CP - Capture Notification
RV - Reversal Notification
PA - Pre-Authorization Request
PC - Pre-Authorization Credit Request
CN - Credit Notification
IR - ICC Data Submission
GD - Stored Value Deactivation
GL - Stored Value Load
GA - Stored Value Activation
GT - Stored Value Top-up
BI - Balance Inquiry
DA - Debit Adjustment
DP - Deposit
RR - Reversal Request
CV - Card Verification
CA - Credit Adjustment
CC - Check Authorization
CG - Check Guarantee
MS - Mini Statement

Required

DB

amount

Indicates the total amount of the payment request (including all tax, duty, shipping, and discount amounts).
​
If the convenienceFee or cashbackAmount parameters are also provided, they must be included in this amount.
​
If the applePay.paymentToken parameter is provided, the amount within the token is compared to this field, or this field overrides the token amount. This is based on upstream configuration.
​
A period (.) is used as a decimal separator in all cases. Based on the currency of the transaction, the correct number of decimals must be provided after the decimal separator.
​
For example, to specify one dollar and fifty cents , the following value would be supplied (USD uses two decimals after the separator): 1.50. To specify zero dollars and 50 cents, the following value would be supplied: 0.50.

Required

N8.N4
[0-9]{1,8}(\.[0-9]{1,4})?

card.number

The Primary Account Number (PAN) of the physical card. For check transactions (paymentType CC and CG) a 6-digit Check Card Number may be supplied instead of a full PAN; all other transactions require a 12-19 digit PAN.

Conditionally Required

N6 or N12..19
^([0-9]{6}|[0-9]{12,19})$

card.expiryMonth

The month that the card expires.

Conditionally Required

N2
[0-9]{2}

card.expiryYear

The year that the card expires.

Conditionally Required

N4
(20|21)([0-9]{2})

serviceRestrictionCode.area

The area of usage and whether the card has additional read facilities.

Optional. Required if other serviceRestrictionCode \ subfields are present.

INT_CARD|​
INT_CARD_IC_FACILITIES|​
NAT_USE_ONLY|​
NAT_USE_ONLY_IC_FACILITIES|​
TEST_CARD

serviceRestrictionCode.authorization

The authorization processing requirements for this card.

Optional. Required if other serviceRestrictionCode \ subfields are present.

NORMAL_AUTH|​
ONLINE_AUTH_MANDATORY|​
ONLINE_AUTH_GEN_MANDATORY

serviceRestrictionCode.range

The range of services available and PIN requirements.

Optional. Required if other serviceRestrictionCode \ subfields are present.

PIN_REQUIRED|​
NO_RESTRICTIONS|​
GOODS_AND_SERVICES_ONLY|​
PIN_REQUIRED_ATM|​
PIN_REQUIRED_GOODS_AND_SERVICES_POS_ATM|​
PIN_REQUIRED_PIN_PAD_PRESENT|​
PIN_REQUIRED_PIN_PAD_PRESENT_GOODS_AND_SERVICES_POS_ATM

pos.terminalId

The terminal identifier assigned by the acquirer.

Required

AN8
[a-zA-Z0-9_]{8}

pos.entryMode

The interface that was used by the terminal for the transaction.

Required

CREDENTIAL_ON_FILE|​
ICC|​
ICC_CVV_UNRELIABLE|​
MANUAL|​
MAGSTRIPE|​
NFC_MAGSTRIPE|​
NFC_ICC|​
SAME_AS_ORIGINAL|​
MAGSTRIPE_AS_FALLBACK|​
MAGSTRIPE_TO_MANUAL|​
CONTACTLESS_TO_ICC|​
CONTACTLESS_TO_MAGSTRIPE|​
MAGSTRIPE_CVV_UNRELIABLE|​
BARCODE|​
OCR|​
UNKNOWN

pos.storeId

The store identifier assigned by the acquirer.

Required

ANS15
[\x20-\xFF]{1,15}

pos.terminalRestrictions

The field indicates specific rules or limitations applied to a terminal.

Optional

NONE|​
CHIP_BASED|​
HOST_BASED|​
BOTH

correlationId

An originator identifier of a transaction that is to be used throughout a multiple server system. This identifier should be transparently transmitted to upstream entities. It can be used to collate related transactions together, such as an authorization and its completion or reversal. A new ID is generated for request messages when an ID is not supplied. A correlation ID supplied on subsequent linked messages must match the ID of the original message.

Optional

ANS36
[\x20-\xFF]{1,36}

merchantTransactionId

The merchant-provided reference number. It must be unique for the merchant’s transactions.

Required

ANS255
[\x20-\xFF]{8,255}

memoPost

When this flag is set to true, it indicates that this is a memoPost transaction, which is only captured for memo/reporting purposes.

Optional

true|false

deferredAuthorization

When this flag is set to true, it indicates that this is a Deferred Authorization transaction.

Optional

true|false

merchant.acquiringInstitutionCode

A code identifying the financial institution acting as the acquirer of this customer transaction.
This field is supported in payment, batch, and network management messages. For payment messages, if this field is not provided, the system will fall back to the `PSTLN_ACQUIRING_INSTITUTION_CODE` customParameter if present.

Optional

AN11
^[a-zA-Z0-9]{1,11}$

merchant.marketplaceId

The marketplace ID.

Optional

AN11
[a-zA-Z0-9]{1,11}

fee.amount

The transaction fee amount (for example surcharge amount) in major denomination. A period (.) is used as the decimal separator. Based on the currency of the transaction, the correct number of decimals must be provided after the decimal separator. For example, to specify one dollar and twenty-five cents, the following value would be supplied (USD uses two decimals after the separator): 1.25.

Optional

N8.N4
[0-9]{1,8}(\.[0-9]{1,4})?

fee.indicator

Indicates whether the transaction fee amount is a DEBIT or CREDIT to the acquirer.
​
Possible values are:
DEBIT - The fee is debited from the cardholder.
CREDIT - The fee is credited to the cardholder.

Optional. Required when fee.amount is present.

ANS6
DEBIT|CREDIT

ConnectUP supports receiving card data in other formats. For more details on sending card information, see Alternative Card Data.

Debit Response

The following fields reflect the possible response values for a Debit Request response message:

Parameter name Description Required Regex

balances.availableBalance

Indicates the available balance for the account.

Optional

N8.N4
[0-9]{1,8}(\.[0-9]{1,4})?

balances.ledgerBalance

Indicates the ledger balance for the account.

Optional

N8.N4
[0-9]{1,8}(\.[0-9]{1,4})?

additionalAmounts.approvedAmount

Indicates the approved amount for the account.

Optional

N8.N4
[0-9]{1,8}(\.[0-9]{1,4})?

See the standard response fields for an extended listing of the possible response parameters ConnectUP can return for this request type.

Example
Debit Request
curl http://[hostname]:[port]/paymentsapi/opp/v1/payment -v
	-H "Authorization: Bearer NjAyNTYzYjdmOGVmyODA0NEY0Rj..."
 	-d "entityId=b964f0e254a717c1524355a6149b575d"
	-d "paymentType=DB"
	-d "card.number=4444444444444448"
	-d "card.expiryMonth=05"
	-d "card.expiryYear=2018"
	-d "amount=21.00"
	-d "pos.terminalId=34056111"
	-d "pos.storeId=78919753"
	-d "pos.entryMode=MANUAL"
	-d "merchantTransactionId=ce6b3d18b660db9aa7ef667be8f098d1"
Debit Request Response
{
    "amount": "200.00",
    "currency": "USD",
    "balances":
    {
        "availableBalance": "100.00",
        "ledgerBalance": "110.00"
    },
    "additionalAmounts": {
         "approvedAmount": "200.00"
    },
    "id": "13844078f145407bad00e2c9e028ab1c",
    "result": {
        "code": "000.000.000",
        "description": "Transaction succeeded",
        "authorizationId": "071797"
    },
    "timestamp": "2020-10-28 15:24:22",
    "resultDetails": {
        "retrievalReferenceNumber": "000000001363"
    }
}

2.1.3. Credit Request

This payment operation credits the account of the customer and debits the merchant account.

A Credit request is created by sending a POST request over HTTPS to the https://[hostname]:[port]/paymentsapi/opp/v1/payment resource.

The minimum requirements for sending a CD message are listed here. See the Specialized Payment Use Cases section for use cases that required additional fields.

Parameter name Description Required Regex

Authorization: Bearer <access-token>

An HTTP header access-token for this request.
To be used with the root entityId field only.

Conditionally Required

ANS110
[\x20-\xFF]{0,110}

entityId

The entity associated with the request.
To be used with the HTTP Authorization header only.

Conditionally Required

AN32
[a-f0-9]{32}

paymentType

The payment type indicator.
AR - Admin Request
AN - Admin Notification
DB - Debit Request
CD - Credit Request
CP - Capture Notification
RV - Reversal Notification
PA - Pre-Authorization Request
PC - Pre-Authorization Credit Request
CN - Credit Notification
IR - ICC Data Submission
GD - Stored Value Deactivation
GL - Stored Value Load
GA - Stored Value Activation
GT - Stored Value Top-up
BI - Balance Inquiry
DA - Debit Adjustment
DP - Deposit
RR - Reversal Request
CV - Card Verification
CA - Credit Adjustment
CC - Check Authorization
CG - Check Guarantee
MS - Mini Statement

Required

CD

amount

Indicates the total amount of the payment request (including all tax, duty, shipping, and discount amounts).

If the convenienceFee parameter is provided, this must be included in this amount.

If the applePay.paymentToken parameter is provided, this field (amount) is used for comparison with the value stored in the token, or it is used to override the token amount. This behavior is determined by upstream configuration.

A period (.) is used as a decimal separator in all cases. Based on the currency of the transaction, the correct number of decimals must be provided after the decimal separator.
​
For example, to specify one dollar and fifty cents , the following value would be supplied (USD uses two decimals after the separator): 1.50. To specify zero dollars and 50 cents, the following value would be supplied: 0.50.

Required

N8.N4
[0-9]{1,8}(\.[0-9]{1,4})?

card.number

The Primary Account Number (PAN) of the physical card. For check transactions (paymentType CC and CG) a 6-digit Check Card Number may be supplied instead of a full PAN; all other transactions require a 12-19 digit PAN.

Conditionally Required

N6 or N12..19
^([0-9]{6}|[0-9]{12,19})$

card.expiryMonth

The month that the card expires.

Conditionally Required

N2
[0-9]{2}

card.expiryYear

The year that the card expires.

Conditionally Required

N4
(20|21)([0-9]{2})

serviceRestrictionCode.area

The area of usage and whether the card has additional read facilities.

Optional. Required if other serviceRestrictionCode \ subfields are present.

INT_CARD|​
INT_CARD_IC_FACILITIES|​
NAT_USE_ONLY|​
NAT_USE_ONLY_IC_FACILITIES|​
TEST_CARD

serviceRestrictionCode.authorization

The authorization processing requirements for this card.

Optional. Required if other serviceRestrictionCode \ subfields are present.

NORMAL_AUTH|​
ONLINE_AUTH_MANDATORY|​
ONLINE_AUTH_GEN_MANDATORY

serviceRestrictionCode.range

The range of services available and PIN requirements.

Optional. Required if other serviceRestrictionCode \ subfields are present.

PIN_REQUIRED|​
NO_RESTRICTIONS|​
GOODS_AND_SERVICES_ONLY|​
PIN_REQUIRED_ATM|​
PIN_REQUIRED_GOODS_AND_SERVICES_POS_ATM|​
PIN_REQUIRED_PIN_PAD_PRESENT|​
PIN_REQUIRED_PIN_PAD_PRESENT_GOODS_AND_SERVICES_POS_ATM

pos.terminalId

The terminal identifier assigned by the acquirer.

Required

AN8
[a-zA-Z0-9_]{8}

pos.storeId

The store identifier assigned by the acquirer.

Required

ANS15
[\x20-\xFF]{1,15}

pos.entryMode

The interface that was used by the terminal for the transaction.

Required

CREDENTIAL_ON_FILE|​
ICC|​
ICC_CVV_UNRELIABLE|​
MANUAL|​
MAGSTRIPE|​
NFC_MAGSTRIPE|​
NFC_ICC|​
SAME_AS_ORIGINAL|​
MAGSTRIPE_AS_FALLBACK|​
MAGSTRIPE_TO_MANUAL|​
CONTACTLESS_TO_ICC|​
CONTACTLESS_TO_MAGSTRIPE|​
MAGSTRIPE_CVV_UNRELIABLE|​
BARCODE|​
OCR|​
UNKNOWN

pos.terminalRestrictions

The field indicates specific rules or limitations applied to a terminal.

Optional

NONE|​
CHIP_BASED|​
HOST_BASED|​
BOTH

correlationId

An originator identifier of a transaction that is to be used throughout a multiple server system. This identifier should be transparently transmitted to upstream entities. It can be used to collate related transactions together, such as an authorization and its completion or reversal. A new ID is generated for request messages when an ID is not supplied. A correlation ID supplied on subsequent linked messages must match the ID of the original message.

Optional

ANS36
[\x20-\xFF]{1,36}

merchantTransactionId

The merchant-provided reference number. It must be unique for the merchant’s transactions.

Required

ANS255
[\x20-\xFF]{8,255}

memoPost

When this flag is set to true, it indicates that this is a memoPost transaction, which is only captured for memo/reporting purposes.

Optional

true|false

merchant.acquiringInstitutionCode

A code identifying the financial institution acting as the acquirer of this customer transaction.
This field is supported in payment, batch, and network management messages. For payment messages, if this field is not provided, the system will fall back to the `PSTLN_ACQUIRING_INSTITUTION_CODE` customParameter if present.

Optional

AN11
^[a-zA-Z0-9]{1,11}$

merchant.marketplaceId

The marketplace ID.

Optional

AN11
[a-zA-Z0-9]{1,11}

fee.amount

The transaction fee amount (for example surcharge amount) in major denomination. A period (.) is used as the decimal separator. Based on the currency of the transaction, the correct number of decimals must be provided after the decimal separator. For example, to specify one dollar and twenty-five cents, the following value would be supplied (USD uses two decimals after the separator): 1.25.

Optional

N8.N4
[0-9]{1,8}(\.[0-9]{1,4})?

fee.indicator

Indicates whether the transaction fee amount is a DEBIT or CREDIT to the acquirer.
​
Possible values are:
DEBIT - The fee is debited from the cardholder.
CREDIT - The fee is credited to the cardholder.

Optional. Required when fee.amount is present.

ANS6
DEBIT|CREDIT

ConnectUP supports receiving card data in other formats. For more details on sending card information, see Alternative Card Data.

Example
curl http://[hostname]:[port]/paymentsapi/opp/v1/payment -v
  -H "Authorization: Bearer NjAyNTYzYjdmOGVmyODA0NEY0Rj..."
  -d "entityId=b964f0e254a717c1524355a6149b575d"
  -d "paymentType=CD"
  -d "card.number=4444444444444448"
  -d "card.expiryMonth=05"
  -d "card.expiryYear=2050"
  -d "amount=21.00"
  -d "pos.terminalId=34056111"
  -d "pos.storeId=78919753"
  -d "pos.entryMode=MANUAL"
  -d "merchantTransactionId=ce6b3d18b660db9aa7ef667be8f098d1"

2.1.4. Capture Notification

This payment operation can be used to capture a Pre-authorization (PA) amount or capture a stand-alone request.

A Capture notification for this, or a previous pre-authorization request, is created by sending a POST request over HTTPS to the https://[hostname]:[port]/paymentsapi/opp/v1/payment resource.

The minimum requirements for sending a CP message are listed here. See the Specialized Payment Use Cases section for use cases that required additional fields.

Parameter name Description Required Regex

Authorization: Bearer <access-token>

An HTTP header access-token for this request.
To be used with the root entityId field only.

Conditionally Required

ANS110
[\x20-\xFF]{0,110}

entityId

The entity associated with the request.
To be used with the HTTP Authorization header only.

Conditionally Required

AN32
[a-f0-9]{32}

paymentType

The payment type indicator.
AR - Admin Request
AN - Admin Notification
DB - Debit Request
CD - Credit Request
CP - Capture Notification
RV - Reversal Notification
PA - Pre-Authorization Request
PC - Pre-Authorization Credit Request
CN - Credit Notification
IR - ICC Data Submission
GD - Stored Value Deactivation
GL - Stored Value Load
GA - Stored Value Activation
GT - Stored Value Top-up
BI - Balance Inquiry
DA - Debit Adjustment
DP - Deposit
RR - Reversal Request
CV - Card Verification
CA - Credit Adjustment
CC - Check Authorization
CG - Check Guarantee
MS - Mini Statement

Required

CP

amount

Indicates the total amount of the payment request (including all tax, duty, shipping, and discount amounts).
​
If the convenienceFee or cashbackAmount parameters are also provided, they must be included in this amount.
​
If the applePay.paymentToken parameter is provided, the amount within the token is compared to this field, or this field overrides the token amount. This is based on upstream configuration.
​
A period (.) is used as a decimal separator in all cases. Based on the currency of the transaction, the correct number of decimals must be provided after the decimal separator.
​
For example, to specify one dollar and fifty cents , the following value would be supplied (USD uses two decimals after the separator): 1.50. To specify zero dollars and 50 cents, the following value would be supplied: 0.50.

Required

N8.N4
[0-9]{1,8}(\.[0-9]{1,4})?

card.number

The Primary Account Number (PAN) of the physical card. For check transactions (paymentType CC and CG) a 6-digit Check Card Number may be supplied instead of a full PAN; all other transactions require a 12-19 digit PAN.

Conditionally Required

N6 or N12..19
^([0-9]{6}|[0-9]{12,19})$

card.expiryMonth

The month that the card expires.

Conditionally Required

N2
[0-9]{2}

card.expiryYear

The year that the card expires.

Conditionally Required

N4
(20|21)([0-9]{2})

serviceRestrictionCode.area

The area of usage and whether the card has additional read facilities.

Optional. Required if other serviceRestrictionCode \ subfields are present.

INT_CARD|​
INT_CARD_IC_FACILITIES|​
NAT_USE_ONLY|​
NAT_USE_ONLY_IC_FACILITIES|​
TEST_CARD

serviceRestrictionCode.authorization

The authorization processing requirements for this card.

Optional. Required if other serviceRestrictionCode \ subfields are present.

NORMAL_AUTH|​
ONLINE_AUTH_MANDATORY|​
ONLINE_AUTH_GEN_MANDATORY

serviceRestrictionCode.range

The range of services available and PIN requirements.

Optional. Required if other serviceRestrictionCode \ subfields are present.

PIN_REQUIRED|​
NO_RESTRICTIONS|​
GOODS_AND_SERVICES_ONLY|​
PIN_REQUIRED_ATM|​
PIN_REQUIRED_GOODS_AND_SERVICES_POS_ATM|​
PIN_REQUIRED_PIN_PAD_PRESENT|​
PIN_REQUIRED_PIN_PAD_PRESENT_GOODS_AND_SERVICES_POS_ATM

pos.terminalId

The terminal identifier assigned by the acquirer.

Required

AN8
[a-zA-Z0-9_]{8}

pos.storeId

The store identifier assigned by the acquirer.

Required

ANS15
[\x20-\xFF]{1,15}

pos.entryMode

The interface that was used by the terminal for the transaction.

Required

CREDENTIAL_ON_FILE|​
ICC|​
ICC_CVV_UNRELIABLE|​
MANUAL|​
MAGSTRIPE|​
NFC_MAGSTRIPE|​
NFC_ICC|​
SAME_AS_ORIGINAL|​
MAGSTRIPE_AS_FALLBACK|​
MAGSTRIPE_TO_MANUAL|​
CONTACTLESS_TO_ICC|​
CONTACTLESS_TO_MAGSTRIPE|​
MAGSTRIPE_CVV_UNRELIABLE|​
BARCODE|​
OCR|​
UNKNOWN

pos.terminalRestrictions

The field indicates specific rules or limitations applied to a terminal.

Optional

NONE|​
CHIP_BASED|​
HOST_BASED|​
BOTH

merchantTransactionId

The merchant-provided reference number. It must be unique for the merchant’s transactions.

Required

ANS255
[\x20-\xFF]{8,255}

referencedPaymentId

The identifier of the transaction being completed (the Id from the original PA response).
This field is conditional for completions. If present, then a linked-capture is performed, if absent then a stand-alone capture is performed.

Optional

ANS32
[\x20-\xFF]{1,32}

statusCode

Indicates the status code of a CP transaction.

Optional

SUCCESSFUL|INVALID_AMOUNT

authorizationId

A code assigned by the authorizing institution indicating approval.

Optional

ANP6
[a-zA-Z0-9 ]{1,6}

correlationId

An originator identifier of a transaction that is to be used throughout a multiple server system. This identifier should be transparently transmitted to upstream entities. It can be used to collate related transactions together, such as an authorization and its completion or reversal. A new ID is generated for request messages when an ID is not supplied. A correlation ID supplied on subsequent linked messages must match the ID of the original message.

Optional

ANS36
[\x20-\xFF]{1,36}

memoPost

When this flag is set to true, it indicates that this is a memoPost transaction, which is only captured for memo/reporting purposes.

Optional

true|false

deferredAuthorization

When this flag is set to true, it indicates that this is a Deferred Authorization transaction.

Optional

true|false

merchant.acquiringInstitutionCode

A code identifying the financial institution acting as the acquirer of this customer transaction.
This field is supported in payment, batch, and network management messages. For payment messages, if this field is not provided, the system will fall back to the `PSTLN_ACQUIRING_INSTITUTION_CODE` customParameter if present.

Optional

AN11
^[a-zA-Z0-9]{1,11}$

merchant.marketplaceId

The marketplace ID.

Optional

AN11
[a-zA-Z0-9]{1,11}

fee.amount

The transaction fee amount (for example surcharge amount) in major denomination. A period (.) is used as the decimal separator. Based on the currency of the transaction, the correct number of decimals must be provided after the decimal separator. For example, to specify one dollar and twenty-five cents, the following value would be supplied (USD uses two decimals after the separator): 1.25.

Optional

N8.N4
[0-9]{1,8}(\.[0-9]{1,4})?

fee.indicator

Indicates whether the transaction fee amount is a DEBIT or CREDIT to the acquirer.
​
Possible values are:
DEBIT - The fee is debited from the cardholder.
CREDIT - The fee is credited to the cardholder.

Optional. Required when fee.amount is present.

ANS6
DEBIT|CREDIT

ConnectUP supports receiving card data in other formats. For more details on sending card information, see Alternative Card Data.

Example
curl http://[hostname]:[port]/paymentsapi/opp/v1/payment -v
	-H "Authorization: Bearer NjAyNTYzYjdmOGVmyODA0NEY0Rj..."
 	-d "entityId=b964f0e254a717c1524355a6149b575d"
	-d "paymentType=CP"
	-d "card.number=4444444444444448"
	-d "card.expiryMonth=05"
	-d "card.expiryYear=2050"
	-d "amount=21.00"
	-d "pos.terminalId=34056111"
	-d "pos.storeId=78919753"
	-d "pos.entryMode=MANUAL"
	-d "referencedPaymentId=yd6b3d18bgd0db9aa7efhtabe8f098d2"
	-d "merchantTransactionId=ce6b3d18b660db9aa7ef667be8f098d1"
	-d "authorizationId=114547"
	-d "memoPost=true"
	-d "deferredAuthorization=true"

2.1.5. Credit Application

Credit Application request messages are created by sending a POST request over HTTPS to the https://[hostname]:[port]/paymentsapi/opp/v1/creditapplication resource.

The endpoint sets paymentType to CL. The optional creditApplicationType field selects the operation. When it is omitted, the request is treated as a CREDIT_APPLICATION; MEMBERSHIP_SIGNUP is also supported.

The minimum request fields are listed below. Authentication fields are conditionally required according to the authentication method in use.

Parameter name Description Required Regex

Authorization: Bearer <access-token>

An HTTP header access-token for this request.
To be used with the root entityId field only.

Conditionally Required

ANS110
[\x20-\xFF]{0,110}

entityId

The entity associated with the request.
To be used with the HTTP Authorization header only.

Conditionally Required

AN32
[a-f0-9]{32}

merchantTransactionId

The merchant-provided reference number. It must be unique for the merchant’s transactions.

Required

ANS255
[\x20-\xFF]{8,255}

pos.terminalId

The terminal identifier assigned by the acquirer.

Required

AN8
[a-zA-Z0-9_]{8}

pos.storeId

The store identifier assigned by the acquirer.

Required

ANS15
[\x20-\xFF]{1,15}

pos.entryMode

The interface that was used by the terminal for the transaction.

Required

CREDENTIAL_ON_FILE|​
ICC|​
ICC_CVV_UNRELIABLE|​
MANUAL|​
MAGSTRIPE|​
NFC_MAGSTRIPE|​
NFC_ICC|​
SAME_AS_ORIGINAL|​
MAGSTRIPE_AS_FALLBACK|​
MAGSTRIPE_TO_MANUAL|​
CONTACTLESS_TO_ICC|​
CONTACTLESS_TO_MAGSTRIPE|​
MAGSTRIPE_CVV_UNRELIABLE|​
BARCODE|​
OCR|​
UNKNOWN

pos.transactionSequenceNumber

Identifies the transaction on the device that initiated the transaction.

Optional

ANS35
[\x20-\xFF]{1,35}

pos.operatorId

Identifies the operator that initiated the transaction.

Optional

ANS35
[\x20-\xFF]{1,35}

creditApplicationType

Identifies the Credit Application operation. If omitted, the request is treated as a CREDIT_APPLICATION. MEMBERSHIP_SIGNUP is also supported.

Optional

CREDIT_APPLICATION|MEMBERSHIP_SIGNUP

The request may include the following account, customer, and billing fields. These fields are sent in the request. The accountData container may be supplied when the application is associated with an existing application or account.

Parameter name Description Required Regex

accountData.applicationReferenceNo

The application reference number. It is used on both request and response messages. This field is conditionally required for existing, pre-screened, or pre-approved credit applications.

Conditionally Required

ANS12
[\x20-\xFF]{1,12}

accountData.paymentPlanCode

The account payment plan code or credit plan.

Optional

N5
[0-9]{1,5}

accountData.paymentPurchaseIndicator

The payment or purchase frequency: WEEKLY, MONTHLY, or ANNUALLY.

Optional

WEEKLY|​
MONTHLY|​
ANNUALLY

accountData.promoCode

The promotional code associated with the account application. For SVS, a value of 'Y' in this field enables promotional gift cards.

Optional

A1
[A-Za-z]{1}

accountData.transactionBillingMethodIndicator

The transaction billing method: RECURRING, INSTALLMENT_BILLING, or DEFERRED_BILLING.

Optional

RECURRING|​
INSTALLMENT_BILLING|​
DEFERRED_BILLING

customer.givenName

The first name or given name of the billing customer.

Optional

ANS50
[\x20-\xFF]{1,50}

customer.middleName

The customer’s middle name or initial.

Optional

ANS50
[\x20-\xFF]{1,50}

customer.surname

The last name or surname of the billing customer.

Optional

ANS50
[\x20-\xFF]{1,50}

customer.email

The billing customer’s email address. This is required for some risk checks and transmission of direct debit mandates.

Optional

ANS128
[\x20-\xFF]{6,128}

customer.companyName

The customer’s company name.

Optional

ANS60
[\x20-\xFF]{1,60}

customer.telephone

The telephone number of the company or authorized person to contact.

Optional

AN20
[a-zA-Z0-9\.]{1,20}

customer.idType

The type of identification associated with the identification number of the customer.

Optional

ANS50
[\x20-\xFF]{1,50}

customer.idNumber

The identification number of the customer.

Optional

ANS24
[\x20-\xFF]{1,24}

customer.driverLicenseData

The scanned driver’s license information encoded in Base64 format.

Optional

ANS2000
[\x20-\xFF]{1,2000}

customer.additionalId1

AdditionalID identifies an additional customer value. Its format is `XXDDVV…​V`, where `XX` identifies the ID owner, `DD` identifies the ID type, and `VV…​V` is the ID value. For example: `010212345678`.
​
The ID owner is `01` for the primary card holder or `02` for the secondary card holder. The ID type is one of the following:
`00` Unspecified
`01` Credit
`02` Driver’s license
`03` Checking account
`04` Debit card
`05` Preferred shopper’s card
`06` State ID
`07` Social security number
`08` Student ID
`09` Employee ID
`10` Passport number
`11` Military ID
`12` Senior citizens ID
`50` Alternate value card
`51` Alternate credit card
`90` EBT card
`91` Calling card
`92` Value card
`93` Prepaid cellular
`94` eWIC card

Optional

ANS40
[\x20-\xFF]{1,40}

customer.additionalId2

AdditionalID identifies an additional customer value. Its format is `XXDDVV…​V`, where `XX` identifies the ID owner, `DD` identifies the ID type, and `VV…​V` is the ID value. For example: `010212345678`.
​
The ID owner is `01` for the primary card holder or `02` for the secondary card holder. The ID type is one of the following:
`00` Unspecified
`01` Credit
`02` Driver’s license
`03` Checking account
`04` Debit card
`05` Preferred shopper’s card
`06` State ID
`07` Social security number
`08` Student ID
`09` Employee ID
`10` Passport number
`11` Military ID
`12` Senior citizens ID
`50` Alternate value card
`51` Alternate credit card
`90` EBT card
`91` Calling card
`92` Value card
`93` Prepaid cellular
`94` eWIC card

Optional

ANS40
[\x20-\xFF]{1,40}

customer.additionalId3

AdditionalID identifies an additional customer value. Its format is `XXDDVV…​V`, where `XX` identifies the ID owner, `DD` identifies the ID type, and `VV…​V` is the ID value. For example: `010212345678`.
​
The ID owner is `01` for the primary card holder or `02` for the secondary card holder. The ID type is one of the following:
`00` Unspecified
`01` Credit
`02` Driver’s license
`03` Checking account
`04` Debit card
`05` Preferred shopper’s card
`06` State ID
`07` Social security number
`08` Student ID
`09` Employee ID
`10` Passport number
`11` Military ID
`12` Senior citizens ID
`50` Alternate value card
`51` Alternate credit card
`90` EBT card
`91` Calling card
`92` Value card
`93` Prepaid cellular
`94` eWIC card

Optional

ANS40
[\x20-\xFF]{1,40}

customer.additionalId4

AdditionalID identifies an additional customer value. Its format is `XXDDVV…​V`, where `XX` identifies the ID owner, `DD` identifies the ID type, and `VV…​V` is the ID value. For example: `010212345678`.
​
The ID owner is `01` for the primary card holder or `02` for the secondary card holder. The ID type is one of the following:
`00` Unspecified
`01` Credit
`02` Driver’s license
`03` Checking account
`04` Debit card
`05` Preferred shopper’s card
`06` State ID
`07` Social security number
`08` Student ID
`09` Employee ID
`10` Passport number
`11` Military ID
`12` Senior citizens ID
`50` Alternate value card
`51` Alternate credit card
`90` EBT card
`91` Calling card
`92` Value card
`93` Prepaid cellular
`94` eWIC card

Optional

ANS40
[\x20-\xFF]{1,40}

customer.cardHolderName

The actual customer name as embossed on the payment card.

Optional

ANS45
[\x20-\xFF]{1,45}

customer.dateOfBirth

The customer’s date of birth in YYYYMMDD format.

Optional

N8
[0-9]{8}

customer.suffix

The customer’s name suffix.

Optional

ANS2
[\x20-\xFF]{1,2}

customer.gender

The customer’s gender.

Optional

A1
[a-zA-Z]{1}

customer.motherMaidenName

The customer’s mother’s maiden name.

Optional

ANS35
[\x20-\xFF]{1,35}

customer.lengthAtAddress

The length of time the customer has lived at the current address, in YYMM format.

Optional

N4
[0-9]{4}

customer.businessTelephone

The customer’s business telephone number.

Optional

ANS20
[\x20-\xFF]{1,20}

customer.previousAddress

The customer’s previous address, including street number and name.

Optional

ANS100
[\x20-\xFF]{1,100}

customer.previousCity

The city of the customer’s previous address.

Optional

ANS20
[\x20-\xFF]{1,20}

customer.previousState

The state or region of the customer’s previous address.

Optional

ANS20
[\x20-\xFF]{1,20}

customer.previousPostcode

The postal code of the customer’s previous address.

Optional

AN9
[a-zA-Z0-9]{1,9}

customer.previousLengthAtAddress

The length of time at the customer’s previous address, in YYMM format.

Optional

N4
[0-9]{4}

customer.previousBusinessTelephone

The business telephone number associated with the customer’s previous address.

Optional

ANS20
[\x20-\xFF]{1,20}

customer.housingCode

The customer’s housing status for the credit application.

Optional

RENT|​
OWN|​
OTHER

customer.occupationCode

The customer’s occupation code used for the credit application.

Optional

ANS2
[\x20-\xFF]{1,2}

customer.yearlyIncome

The customer’s yearly income.

Optional

N8
[0-9]{1,8}

customer.primaryIncomeFrequency

The frequency of the customer’s primary income.

Optional

WEEKLY|​
MONTHLY|​
ANNUALLY

customer.panderFlag

Indicates whether mail may be sent to the customer.

Optional

MAY_SEND_MAIL|​
SHOULD_NOT_SEND_MAIL

customer.insuranceIndicator

Indicates whether the customer selected insurance for card debt. This is used by authorizers that support online credit applications.

Optional

NOT_APPLICABLE|​
PURCHASING_INSURANCE|​
NO_PURCHASING_INSURANCE

customer.patriotPlace

The state or country code of the identification document supplied in the Credit Application request. For example, a passport uses a country code and a US driver’s license uses a state code.

Optional

ANS2
[\x20-\xFF]{1,2}

customer.patriotIssueDate

The issue date of the identification document supplied in the Credit Application request, in YYYYMMDD format.

Optional

N8
[0-9]{8}

customer.patriotExpirationDate

The expiration date of the identification document supplied in the Credit Application request, in YYYYMMDD format.

Optional

N8
[0-9]{8}

customer.authorizedUser

Identifies an authorized user associated with the application.

Optional

ANS64
[\x20-\xFF]{1,64}

customer.jointAuthFlag

Indicates whether the application includes a joint applicant or an authorized buyer.

Optional

JOINT_APPLICATION|​
AUTHORIZED_BUYER

customer.relativeCode

Identifies the authorized buyer’s relationship to the primary customer.

Optional

OTHER|​
SPOUSE

customer.secondaryCustomerFirstName

The first name of the secondary customer.

Optional

ANS50
[\x20-\xFF]{1,50}

customer.secondaryCustomerMiddleName

The middle name or initial of the secondary customer.

Optional

ANS50
[\x20-\xFF]{1,50}

customer.secondaryCustomerSurname

The surname/last name of the secondary customer.

Optional

ANS50
[\x20-\xFF]{1,50}

customer.secondaryCustomerDateOfBirth

The secondary customer’s date of birth in YYYYMMDD format.

Optional

N8
[0-9]{8}

customer.secondaryCustomerHomeTelephone

The secondary customer’s home telephone number.

Optional

ANS20
[\x20-\xFF]{1,20}

customer.secondaryCustomerBusinessTelephone

The secondary customer’s business telephone number.

Optional

ANS20
[\x20-\xFF]{1,20}

customer.secondaryCustomerYearlyIncome

The secondary customer’s yearly income.

Optional

N8
[0-9]{1,8}

customer.secondaryCustomerIncomeFrequency

The frequency of the secondary customer’s income.

Optional

WEEKLY|​
MONTHLY|​
ANNUALLY

customer.cardIssuanceLevel

Indicates the number of times the card has been reissued.

Optional

N1
[0-9]{1}

customer.textFlag

Indicates whether the customer can be contacted via text messaging.

Optional

YES|​
NO

customer.ipAddress

The customer’s IP address.

Optional

ANS45
[\x20-\xFF]{1,45}

billing.street1

The door number, floor, building number, building name, and/or street name of the billing address.

Optional

ANS50
[\x20-\xFF]{1,50}

billing.houseNumber1

Primary house number (door number or building number) of the billing address.
​
If present, then billing.street1 is assumed to contain only the name of the street.

Optional

ANS50
[\x20-\xFF]{1,50}

billing.street2

Additional address data of the company, or authorized person to contact.

Optional

ANS50
[\x20-\xFF]{1,50}

billing.city

The town, district, or city of the billing address.

Optional

ANS20
[\x20-\xFF]{1,20}

billing.state

The county, state, or region of the billing address.

Optional

AN20
[a-zA-Z0-9\.]{1,20}

billing.postcode

The postal code or zip code of the billing address.

Optional

AN9
[A-Za-z0-9]{1,9}

billing.country

The country of the billing address (ISO 3166-1).

Optional

A2
[A-Z]{2}

Example request
curl {url_payment_credit_application} -v
  -H "Authorization: ******"
  -d "entityId=b964f0e254a717c1524355a6149b575d"
  -d "merchantTransactionId=CL-20260819-0001"
  -d "pos.terminalId=34056111"
  -d "pos.storeId=78919753"
  -d "pos.entryMode=UNKNOWN"
  -d "creditApplicationType=CREDIT_APPLICATION"
  -d "accountData.applicationReferenceNo=984456789012"
  -d "accountData.paymentPlanCode=12345"
  -d "customer.givenName=John"
  -d "customer.middleName=A"
  -d "customer.surname=Smith"
  -d "customer.dateOfBirth=19850123"
  -d "customer.additionalId1=010212345678"
  -d "customer.primaryIncomeFrequency=MONTHLY"
Credit Application response

The response contains the standard response fields documented in the Base Payment Operation Responses section. The following fields are specific to the credit application/account response data and are returned when supplied by the upstream service.

Parameter name Description Required Regex

accountData.applicationReferenceNo

The application reference number. It is used on both request and response messages. This field is conditionally required for existing, pre-screened, or pre-approved credit applications.

Conditional

ANS12
[\x20-\xFF]{1,12}

accountData.referenceNo

The account reference number returned in the response.

Conditional

ANS12
[\x20-\xFF]{1,12}

accountData.accountExpirationDateTime

The account expiration date and time in UTC, in YYYYMMDDTHHMMZ format.

Conditional

AN14
^\d{8}T\d{4}Z$

accountData.serialNumber

The account serial number returned in the response. For SVS this is returned in the response. This could be a primary account number.

Conditional

N16
[0-9]{1,16}

customer.givenName

The first name or given name of the billing customer.

Optional

ANS50
[\x20-\xFF]{1,50}

customer.middleName

The customer’s middle name or initial.

Optional

ANS50
[\x20-\xFF]{1,50}

customer.surname

The last name or surname of the billing customer.

Optional

ANS50
[\x20-\xFF]{1,50}

customer.email

The billing customer’s email address. This is required for some risk checks and transmission of direct debit mandates.

Optional

ANS128
[\x20-\xFF]{6,128}

customer.companyName

The customer’s company name.

Optional

ANS60
[\x20-\xFF]{1,60}

customer.telephone

The telephone number of the company or authorized person to contact.

Optional

AN20
[a-zA-Z0-9\.]{1,20}

customer.idType

The type of identification associated with the identification number of the customer.

Optional

ANS50
[\x20-\xFF]{1,50}

customer.idNumber

The identification number of the customer.

Optional

ANS24
[\x20-\xFF]{1,24}

customer.driverLicenseData

The scanned driver’s license information encoded in Base64 format.

Optional

ANS2000
[\x20-\xFF]{1,2000}

customer.additionalId1

AdditionalID identifies an additional customer value. Its format is `XXDDVV…​V`, where `XX` identifies the ID owner, `DD` identifies the ID type, and `VV…​V` is the ID value. For example: `010212345678`.
​
The ID owner is `01` for the primary card holder or `02` for the secondary card holder. The ID type is one of the following:
`00` Unspecified
`01` Credit
`02` Driver’s license
`03` Checking account
`04` Debit card
`05` Preferred shopper’s card
`06` State ID
`07` Social security number
`08` Student ID
`09` Employee ID
`10` Passport number
`11` Military ID
`12` Senior citizens ID
`50` Alternate value card
`51` Alternate credit card
`90` EBT card
`91` Calling card
`92` Value card
`93` Prepaid cellular
`94` eWIC card

Optional

ANS40
[\x20-\xFF]{1,40}

customer.additionalId2

AdditionalID identifies an additional customer value. Its format is `XXDDVV…​V`, where `XX` identifies the ID owner, `DD` identifies the ID type, and `VV…​V` is the ID value. For example: `010212345678`.
​
The ID owner is `01` for the primary card holder or `02` for the secondary card holder. The ID type is one of the following:
`00` Unspecified
`01` Credit
`02` Driver’s license
`03` Checking account
`04` Debit card
`05` Preferred shopper’s card
`06` State ID
`07` Social security number
`08` Student ID
`09` Employee ID
`10` Passport number
`11` Military ID
`12` Senior citizens ID
`50` Alternate value card
`51` Alternate credit card
`90` EBT card
`91` Calling card
`92` Value card
`93` Prepaid cellular
`94` eWIC card

Optional

ANS40
[\x20-\xFF]{1,40}

customer.additionalId3

AdditionalID identifies an additional customer value. Its format is `XXDDVV…​V`, where `XX` identifies the ID owner, `DD` identifies the ID type, and `VV…​V` is the ID value. For example: `010212345678`.
​
The ID owner is `01` for the primary card holder or `02` for the secondary card holder. The ID type is one of the following:
`00` Unspecified
`01` Credit
`02` Driver’s license
`03` Checking account
`04` Debit card
`05` Preferred shopper’s card
`06` State ID
`07` Social security number
`08` Student ID
`09` Employee ID
`10` Passport number
`11` Military ID
`12` Senior citizens ID
`50` Alternate value card
`51` Alternate credit card
`90` EBT card
`91` Calling card
`92` Value card
`93` Prepaid cellular
`94` eWIC card

Optional

ANS40
[\x20-\xFF]{1,40}

customer.additionalId4

AdditionalID identifies an additional customer value. Its format is `XXDDVV…​V`, where `XX` identifies the ID owner, `DD` identifies the ID type, and `VV…​V` is the ID value. For example: `010212345678`.
​
The ID owner is `01` for the primary card holder or `02` for the secondary card holder. The ID type is one of the following:
`00` Unspecified
`01` Credit
`02` Driver’s license
`03` Checking account
`04` Debit card
`05` Preferred shopper’s card
`06` State ID
`07` Social security number
`08` Student ID
`09` Employee ID
`10` Passport number
`11` Military ID
`12` Senior citizens ID
`50` Alternate value card
`51` Alternate credit card
`90` EBT card
`91` Calling card
`92` Value card
`93` Prepaid cellular
`94` eWIC card

Optional

ANS40
[\x20-\xFF]{1,40}

customer.cardHolderName

The actual customer name as embossed on the payment card.

Optional

ANS45
[\x20-\xFF]{1,45}

customer.dateOfBirth

The customer’s date of birth in YYYYMMDD format.

Optional

N8
[0-9]{8}

customer.suffix

The customer’s name suffix.

Optional

ANS2
[\x20-\xFF]{1,2}

customer.gender

The customer’s gender.

Optional

A1
[a-zA-Z]{1}

customer.motherMaidenName

The customer’s mother’s maiden name.

Optional

ANS35
[\x20-\xFF]{1,35}

customer.lengthAtAddress

The length of time the customer has lived at the current address, in YYMM format.

Optional

N4
[0-9]{4}

customer.businessTelephone

The customer’s business telephone number.

Optional

ANS20
[\x20-\xFF]{1,20}

customer.previousAddress

The customer’s previous address, including street number and name.

Optional

ANS100
[\x20-\xFF]{1,100}

customer.previousCity

The city of the customer’s previous address.

Optional

ANS20
[\x20-\xFF]{1,20}

customer.previousState

The state or region of the customer’s previous address.

Optional

ANS20
[\x20-\xFF]{1,20}

customer.previousPostcode

The postal code of the customer’s previous address.

Optional

AN9
[a-zA-Z0-9]{1,9}

customer.previousLengthAtAddress

The length of time at the customer’s previous address, in YYMM format.

Optional

N4
[0-9]{4}

customer.previousBusinessTelephone

The business telephone number associated with the customer’s previous address.

Optional

ANS20
[\x20-\xFF]{1,20}

customer.housingCode

The customer’s housing status for the credit application.

Optional

RENT|​
OWN|​
OTHER

customer.occupationCode

The customer’s occupation code used for the credit application.

Optional

ANS2
[\x20-\xFF]{1,2}

customer.yearlyIncome

The customer’s yearly income.

Optional

N8
[0-9]{1,8}

customer.primaryIncomeFrequency

The frequency of the customer’s primary income.

Optional

WEEKLY|​
MONTHLY|​
ANNUALLY

customer.panderFlag

Indicates whether mail may be sent to the customer.

Optional

MAY_SEND_MAIL|​
SHOULD_NOT_SEND_MAIL

customer.insuranceIndicator

Indicates whether the customer selected insurance for card debt. This is used by authorizers that support online credit applications.

Optional

NOT_APPLICABLE|​
PURCHASING_INSURANCE|​
NO_PURCHASING_INSURANCE

customer.patriotPlace

The state or country code of the identification document supplied in the Credit Application request. For example, a passport uses a country code and a US driver’s license uses a state code.

Optional

ANS2
[\x20-\xFF]{1,2}

customer.patriotIssueDate

The issue date of the identification document supplied in the Credit Application request, in YYYYMMDD format.

Optional

N8
[0-9]{8}

customer.patriotExpirationDate

The expiration date of the identification document supplied in the Credit Application request, in YYYYMMDD format.

Optional

N8
[0-9]{8}

customer.authorizedUser

Identifies an authorized user associated with the application.

Optional

ANS64
[\x20-\xFF]{1,64}

customer.jointAuthFlag

Indicates whether the application includes a joint applicant or an authorized buyer.

Optional

JOINT_APPLICATION|​
AUTHORIZED_BUYER

customer.relativeCode

Identifies the authorized buyer’s relationship to the primary customer.

Optional

OTHER|​
SPOUSE

customer.secondaryCustomerFirstName

The first name of the secondary customer.

Optional

ANS50
[\x20-\xFF]{1,50}

customer.secondaryCustomerMiddleName

The middle name or initial of the secondary customer.

Optional

ANS50
[\x20-\xFF]{1,50}

customer.secondaryCustomerSurname

The surname/last name of the secondary customer.

Optional

ANS50
[\x20-\xFF]{1,50}

customer.secondaryCustomerDateOfBirth

The secondary customer’s date of birth in YYYYMMDD format.

Optional

N8
[0-9]{8}

customer.secondaryCustomerHomeTelephone

The secondary customer’s home telephone number.

Optional

ANS20
[\x20-\xFF]{1,20}

customer.secondaryCustomerBusinessTelephone

The secondary customer’s business telephone number.

Optional

ANS20
[\x20-\xFF]{1,20}

customer.secondaryCustomerYearlyIncome

The secondary customer’s yearly income.

Optional

N8
[0-9]{1,8}

customer.secondaryCustomerIncomeFrequency

The frequency of the secondary customer’s income.

Optional

WEEKLY|​
MONTHLY|​
ANNUALLY

customer.cardIssuanceLevel

Indicates the number of times the card has been reissued.

Optional

N1
[0-9]{1}

customer.textFlag

Indicates whether the customer can be contacted via text messaging.

Optional

YES|​
NO

customer.ipAddress

The customer’s IP address.

Optional

ANS45
[\x20-\xFF]{1,45}

billing.street1

The door number, floor, building number, building name, and/or street name of the billing address.

Optional

ANS50
[\x20-\xFF]{1,50}

billing.houseNumber1

Primary house number (door number or building number) of the billing address.
​
If present, then billing.street1 is assumed to contain only the name of the street.

Optional

ANS50
[\x20-\xFF]{1,50}

billing.street2

Additional address data of the company, or authorized person to contact.

Optional

ANS50
[\x20-\xFF]{1,50}

billing.city

The town, district, or city of the billing address.

Optional

ANS20
[\x20-\xFF]{1,20}

billing.state

The county, state, or region of the billing address.

Optional

AN20
[a-zA-Z0-9\.]{1,20}

billing.postcode

The postal code or zip code of the billing address.

Optional

AN9
[A-Za-z0-9]{1,9}

billing.country

The country of the billing address (ISO 3166-1).

Optional

A2
[A-Z]{2}

{displayData_text}

{displayData_text_desc}

Optional

{displayData_text_regex}

printData.text

Print Data returns additional information that can be printed at the POS device. For Credit Application transactions, this field is sent back in the response. It contains current information about the account, such as card number, card expiration date, credit limit, and temporary credit limit. Each print message consists of three elements:
​
Length of the print message, excluding the length field, expressed as `LLLL`.
The print destination field, which contains the `<Number of Print Destination Codes>`, `<Print Designation Code>`, and `<Printer Number>`.
The print message data.
When present, printData.receiptLines[n] provides receipt text as individual lines.
​
Supported print destination codes are:
`A1` Customer receipt
`A2` Customer check
`C2` Register journal
`D3` Register slip
`P1` Account number
`P2` Expiration date, formatted as YYMM
`P3` Credit line, formatted as DDDDDDDDDDDDCC+. For example, $500 = 00000000050000+
`P4` Temporary credit line
`P5` Payment purchase indicator
`P6` Customer service phone number
`P7` POS status description
`P8` Current account balance, formatted as DDDDDDDDDDDDCC+
`P9` Last statement balance, formatted as DDDDDDDDDDDDCC+
`Q0` Open to buy, formatted as DDDDDDDDDDDDCC+
`Q1` Minimum payment due, formatted as DDDDDDDDDDDDCC+
`Q2` Payment due date
`Q3` Customer name
`Q4` Product name
`Q5` In-store payment allowed
`Q6` APR, formatted as XX.XX
​
For a check response, a print line can be represented as `00321D3Day Store Total Cash Num…​`. In this example, the length field is `0032`, the print destination field is `1D3`, and the print message data is `Day Store Total Cash Num`.
​
For a declined response caused by invalid purchased items, a print message can be represented as `00281D3Account is restricted to:00111D3Beverage`. The length field is `LLLL`, the print destination field is `1D3`, and subsequent records contain the description of each item that can be purchased. A maximum of 20 items can be displayed.

Optional

an..9999 LLLLVAR
ANS9999
[\x20-\xFF]{1,9999}

printData.receiptLines[n]

A structured, line-by-line representation of receipt text. Each receiptLines element contains one line.

Optional

ANS999
[\x20-\xFF]{1,999}

Example response
{
  "id": "e8f59d02a466f35a7ece785d3e137e50",
  "result": {
    "code": "000.000.000",
    "description": "Transaction succeeded"
  },
  "accountData": {
    "applicationReferenceNo": "984456789012",
    "referenceNo": "123456789012",
    "serialNumber": "5201300002123456"
  },
  "customer": {
    "givenName": "JOHN",
    "middleName": "A",
    "surname": "SMITH",
    "additionalId1": "010212345678"
  },
  "displayData": {
    "text": "Approved"
  },
  "printData": {
    "text": "00151Q3JOHN A SMITH00181P300000000100000+00191P15201300002123456",
    "receiptLines": [
      "JOHN A SMITH",
      "00000000100000+",
      "5201300002123456"
    ]
  },
  "timestamp": "2026-08-19 12:00:00"
}

See the standard response section for the complete list of response fields.

2.1.6. Account Lookup

Account Lookup request messages are created by sending a POST request over HTTPS to the https://[hostname]:[port]/paymentsapi/opp/v1/accountlookup resource.

The Account Lookup endpoint identifies an account using card, customer, or account data. Requests to this endpoint are processed with paymentType set to AL. The request performs an account inquiry and does not require a transaction amount; the endpoint uses a zero transaction amount for the upstream request.

The minimum request fields are listed below. Authentication fields are conditionally required according to the authentication method in use.

Parameter name Description Required Regex

Authorization: Bearer <access-token>

An HTTP header access-token for this request.
To be used with the root entityId field only.

Conditionally Required

ANS110
[\x20-\xFF]{0,110}

entityId

The entity associated with the request.
To be used with the HTTP Authorization header only.

Conditionally Required

AN32
[a-f0-9]{32}

merchantTransactionId

The merchant-provided reference number. It must be unique for the merchant’s transactions.

Required

ANS255
[\x20-\xFF]{8,255}

pos.terminalId

The terminal identifier assigned by the acquirer.

Required

AN8
[a-zA-Z0-9_]{8}

pos.storeId

The store identifier assigned by the acquirer.

Required

ANS15
[\x20-\xFF]{1,15}

pos.entryMode

The interface that was used by the terminal for the transaction.

Required

CREDENTIAL_ON_FILE|​
ICC|​
ICC_CVV_UNRELIABLE|​
MANUAL|​
MAGSTRIPE|​
NFC_MAGSTRIPE|​
NFC_ICC|​
SAME_AS_ORIGINAL|​
MAGSTRIPE_AS_FALLBACK|​
MAGSTRIPE_TO_MANUAL|​
CONTACTLESS_TO_ICC|​
CONTACTLESS_TO_MAGSTRIPE|​
MAGSTRIPE_CVV_UNRELIABLE|​
BARCODE|​
OCR|​
UNKNOWN

pos.transactionSequenceNumber

Identifies the transaction on the device that initiated the transaction.

Optional

ANS35
[\x20-\xFF]{1,35}

pos.operatorId

Identifies the operator that initiated the transaction.

Optional

ANS35
[\x20-\xFF]{1,35}

card.number

The Primary Account Number (PAN) of the physical card. For check transactions (paymentType CC and CG) a 6-digit Check Card Number may be supplied instead of a full PAN; all other transactions require a 12-19 digit PAN.

Conditionally Required

N6 or N12..19
^([0-9]{6}|[0-9]{12,19})$

card.expiryMonth

The month that the card expires.

Conditionally Required

N2
[0-9]{2}

card.expiryYear

The year that the card expires.

Conditionally Required

N4
(20|21)([0-9]{2})

card.paymentIdentifier

The payment identifier used when card.number or card.track2Data are not appropriate, either due to limiting field formats/lengths, or not being an account based transaction.

Optional

N28
[a-zA-Z0-9]{0,28}

currency

The currency code of the payment request’s amount (ISO 4217).
​
The default currency used is "USD".
​
For a Reversal, this field is only required for partial reversals. If provided, this field must match the currency of the original transaction.

Optional

A3
[A-Z]{3}

An account lookup can identify the customer using card data, an alternate cardholder locator, or the account, customer, and billing fields below. The customer and accountData fields shared with Credit Application use the same definitions as the Credit Application request.

Parameter name Description Required Regex

accountData.applicationReferenceNo

The application reference number. It is used on both request and response messages. This field is conditionally required for existing, pre-screened, or pre-approved credit applications.

Conditionally Required

ANS12
[\x20-\xFF]{1,12}

accountData.paymentPlanCode

The account payment plan code or credit plan.

Optional

N5
[0-9]{1,5}

accountData.paymentPurchaseIndicator

The payment or purchase frequency: WEEKLY, MONTHLY, or ANNUALLY.

Optional

WEEKLY|​
MONTHLY|​
ANNUALLY

accountData.promoCode

The promotional code associated with the account application. For SVS, a value of 'Y' in this field enables promotional gift cards.

Optional

A1
[A-Za-z]{1}

accountData.transactionBillingMethodIndicator

The transaction billing method: RECURRING, INSTALLMENT_BILLING, or DEFERRED_BILLING.

Optional

RECURRING|​
INSTALLMENT_BILLING|​
DEFERRED_BILLING

customer.driverLicenseData

The scanned driver’s license information encoded in Base64 format.

Optional

ANS2000
[\x20-\xFF]{1,2000}

customer.givenName

The first name or given name of the billing customer.

Optional

ANS50
[\x20-\xFF]{1,50}

customer.middleName

The customer’s middle name or initial.

Optional

ANS50
[\x20-\xFF]{1,50}

customer.surname

The last name or surname of the billing customer.

Optional

ANS50
[\x20-\xFF]{1,50}

customer.email

The billing customer’s email address. This is required for some risk checks and transmission of direct debit mandates.

Optional

ANS128
[\x20-\xFF]{6,128}

customer.companyName

The customer’s company name.

Optional

ANS60
[\x20-\xFF]{1,60}

customer.telephone

The telephone number of the company or authorized person to contact.

Optional

AN20
[a-zA-Z0-9\.]{1,20}

customer.idType

The type of identification associated with the identification number of the customer.

Optional

ANS50
[\x20-\xFF]{1,50}

customer.idNumber

The identification number of the customer.

Optional

ANS24
[\x20-\xFF]{1,24}

customer.additionalId1

AdditionalID identifies an additional customer value. Its format is `XXDDVV…​V`, where `XX` identifies the ID owner, `DD` identifies the ID type, and `VV…​V` is the ID value. For example: `010212345678`.
​
The ID owner is `01` for the primary card holder or `02` for the secondary card holder. The ID type is one of the following:
`00` Unspecified
`01` Credit
`02` Driver’s license
`03` Checking account
`04` Debit card
`05` Preferred shopper’s card
`06` State ID
`07` Social security number
`08` Student ID
`09` Employee ID
`10` Passport number
`11` Military ID
`12` Senior citizens ID
`50` Alternate value card
`51` Alternate credit card
`90` EBT card
`91` Calling card
`92` Value card
`93` Prepaid cellular
`94` eWIC card

Optional

ANS40
[\x20-\xFF]{1,40}

customer.additionalId2

AdditionalID identifies an additional customer value. Its format is `XXDDVV…​V`, where `XX` identifies the ID owner, `DD` identifies the ID type, and `VV…​V` is the ID value. For example: `010212345678`.
​
The ID owner is `01` for the primary card holder or `02` for the secondary card holder. The ID type is one of the following:
`00` Unspecified
`01` Credit
`02` Driver’s license
`03` Checking account
`04` Debit card
`05` Preferred shopper’s card
`06` State ID
`07` Social security number
`08` Student ID
`09` Employee ID
`10` Passport number
`11` Military ID
`12` Senior citizens ID
`50` Alternate value card
`51` Alternate credit card
`90` EBT card
`91` Calling card
`92` Value card
`93` Prepaid cellular
`94` eWIC card

Optional

ANS40
[\x20-\xFF]{1,40}

customer.additionalId3

AdditionalID identifies an additional customer value. Its format is `XXDDVV…​V`, where `XX` identifies the ID owner, `DD` identifies the ID type, and `VV…​V` is the ID value. For example: `010212345678`.
​
The ID owner is `01` for the primary card holder or `02` for the secondary card holder. The ID type is one of the following:
`00` Unspecified
`01` Credit
`02` Driver’s license
`03` Checking account
`04` Debit card
`05` Preferred shopper’s card
`06` State ID
`07` Social security number
`08` Student ID
`09` Employee ID
`10` Passport number
`11` Military ID
`12` Senior citizens ID
`50` Alternate value card
`51` Alternate credit card
`90` EBT card
`91` Calling card
`92` Value card
`93` Prepaid cellular
`94` eWIC card

Optional

ANS40
[\x20-\xFF]{1,40}

customer.additionalId4

AdditionalID identifies an additional customer value. Its format is `XXDDVV…​V`, where `XX` identifies the ID owner, `DD` identifies the ID type, and `VV…​V` is the ID value. For example: `010212345678`.
​
The ID owner is `01` for the primary card holder or `02` for the secondary card holder. The ID type is one of the following:
`00` Unspecified
`01` Credit
`02` Driver’s license
`03` Checking account
`04` Debit card
`05` Preferred shopper’s card
`06` State ID
`07` Social security number
`08` Student ID
`09` Employee ID
`10` Passport number
`11` Military ID
`12` Senior citizens ID
`50` Alternate value card
`51` Alternate credit card
`90` EBT card
`91` Calling card
`92` Value card
`93` Prepaid cellular
`94` eWIC card

Optional

ANS40
[\x20-\xFF]{1,40}

customer.cardHolderName

The actual customer name as embossed on the payment card.

Optional

ANS45
[\x20-\xFF]{1,45}

customer.dateOfBirth

The customer’s date of birth in YYYYMMDD format.

Optional

N8
[0-9]{8}

customer.suffix

The customer’s name suffix.

Optional

ANS2
[\x20-\xFF]{1,2}

customer.gender

The customer’s gender.

Optional

A1
[a-zA-Z]{1}

customer.motherMaidenName

The customer’s mother’s maiden name.

Optional

ANS35
[\x20-\xFF]{1,35}

customer.lengthAtAddress

The length of time the customer has lived at the current address, in YYMM format.

Optional

N4
[0-9]{4}

customer.businessTelephone

The customer’s business telephone number.

Optional

ANS20
[\x20-\xFF]{1,20}

customer.previousAddress

The customer’s previous address, including street number and name.

Optional

ANS100
[\x20-\xFF]{1,100}

customer.previousCity

The city of the customer’s previous address.

Optional

ANS20
[\x20-\xFF]{1,20}

customer.previousState

The state or region of the customer’s previous address.

Optional

ANS20
[\x20-\xFF]{1,20}

customer.previousPostcode

The postal code of the customer’s previous address.

Optional

AN9
[a-zA-Z0-9]{1,9}

customer.previousLengthAtAddress

The length of time at the customer’s previous address, in YYMM format.

Optional

N4
[0-9]{4}

customer.previousBusinessTelephone

The business telephone number associated with the customer’s previous address.

Optional

ANS20
[\x20-\xFF]{1,20}

customer.housingCode

The customer’s housing status for the credit application.

Optional

RENT|​
OWN|​
OTHER

customer.occupationCode

The customer’s occupation code used for the credit application.

Optional

ANS2
[\x20-\xFF]{1,2}

customer.yearlyIncome

The customer’s yearly income.

Optional

N8
[0-9]{1,8}

customer.primaryIncomeFrequency

The frequency of the customer’s primary income.

Optional

WEEKLY|​
MONTHLY|​
ANNUALLY

customer.panderFlag

Indicates whether mail may be sent to the customer.

Optional

MAY_SEND_MAIL|​
SHOULD_NOT_SEND_MAIL

customer.insuranceIndicator

Indicates whether the customer selected insurance for card debt. This is used by authorizers that support online credit applications.

Optional

NOT_APPLICABLE|​
PURCHASING_INSURANCE|​
NO_PURCHASING_INSURANCE

customer.patriotPlace

The state or country code of the identification document supplied in the Credit Application request. For example, a passport uses a country code and a US driver’s license uses a state code.

Optional

ANS2
[\x20-\xFF]{1,2}

customer.patriotIssueDate

The issue date of the identification document supplied in the Credit Application request, in YYYYMMDD format.

Optional

N8
[0-9]{8}

customer.patriotExpirationDate

The expiration date of the identification document supplied in the Credit Application request, in YYYYMMDD format.

Optional

N8
[0-9]{8}

customer.authorizedUser

Identifies an authorized user associated with the application.

Optional

ANS64
[\x20-\xFF]{1,64}

customer.jointAuthFlag

Indicates whether the application includes a joint applicant or an authorized buyer.

Optional

JOINT_APPLICATION|​
AUTHORIZED_BUYER

customer.relativeCode

Identifies the authorized buyer’s relationship to the primary customer.

Optional

OTHER|​
SPOUSE

customer.secondaryCustomerFirstName

The first name of the secondary customer.

Optional

ANS50
[\x20-\xFF]{1,50}

customer.secondaryCustomerMiddleName

The middle name or initial of the secondary customer.

Optional

ANS50
[\x20-\xFF]{1,50}

customer.secondaryCustomerSurname

The surname/last name of the secondary customer.

Optional

ANS50
[\x20-\xFF]{1,50}

customer.secondaryCustomerDateOfBirth

The secondary customer’s date of birth in YYYYMMDD format.

Optional

N8
[0-9]{8}

customer.secondaryCustomerHomeTelephone

The secondary customer’s home telephone number.

Optional

ANS20
[\x20-\xFF]{1,20}

customer.secondaryCustomerBusinessTelephone

The secondary customer’s business telephone number.

Optional

ANS20
[\x20-\xFF]{1,20}

customer.secondaryCustomerYearlyIncome

The secondary customer’s yearly income.

Optional

N8
[0-9]{1,8}

customer.secondaryCustomerIncomeFrequency

The frequency of the secondary customer’s income.

Optional

WEEKLY|​
MONTHLY|​
ANNUALLY

customer.cardIssuanceLevel

Indicates the number of times the card has been reissued.

Optional

N1
[0-9]{1}

customer.textFlag

Indicates whether the customer can be contacted via text messaging.

Optional

YES|​
NO

customer.ipAddress

The customer’s IP address.

Optional

ANS45
[\x20-\xFF]{1,45}

billing.street1

The door number, floor, building number, building name, and/or street name of the billing address.

Optional

ANS50
[\x20-\xFF]{1,50}

billing.houseNumber1

Primary house number (door number or building number) of the billing address.
​
If present, then billing.street1 is assumed to contain only the name of the street.

Optional

ANS50
[\x20-\xFF]{1,50}

billing.street2

Additional address data of the company, or authorized person to contact.

Optional

ANS50
[\x20-\xFF]{1,50}

billing.city

The town, district, or city of the billing address.

Optional

ANS20
[\x20-\xFF]{1,20}

billing.state

The county, state, or region of the billing address.

Optional

AN20
[a-zA-Z0-9\.]{1,20}

billing.postcode

The postal code or zip code of the billing address.

Optional

AN9
[A-Za-z0-9]{1,9}

billing.country

The country of the billing address (ISO 3166-1).

Optional

A2
[A-Z]{2}

Example request
curl {url_payment_account_lookup} -v
  -H "Authorization: ******"
  -d "entityId=b964f0e254a717c1524355a6149b575d"
  -d "card.number=4444444444444448"
  -d "card.expiryMonth=05"
  -d "card.expiryYear=2018"
  -d "card.paymentIdentifier=ID5656555555"
  -d "merchantTransactionId=AL-20260819-0001"
  -d "pos.terminalId=34056111"
  -d "pos.storeId=78919753"
  -d "pos.entryMode=MANUAL"
  -d "accountData.applicationReferenceNo=984456789012"
  -d "customer.givenName=John"
  -d "customer.middleName=A"
  -d "customer.surname=Smith"
  -d "customer.additionalId1=010212345678"
  -d "customer.ipAddress=192.0.2.10"
Account Lookup response

The response contains the standard response fields documented in the Base Payment Operation Responses section. The following fields are specific to the account lookup response data and are returned when supplied by the upstream service.

Parameter name Description Required Regex

accountData.applicationReferenceNo

The application reference number. It is used on both request and response messages. This field is conditionally required for existing, pre-screened, or pre-approved credit applications.

Conditional

ANS12
[\x20-\xFF]{1,12}

accountData.referenceNo

The account reference number returned in the response.

Conditional

ANS12
[\x20-\xFF]{1,12}

accountData.accountExpirationDateTime

The account expiration date and time in UTC, in YYYYMMDDTHHMMZ format.

Conditional

AN14
^\d{8}T\d{4}Z$

accountData.serialNumber

The account serial number returned in the response. For SVS this is returned in the response. This could be a primary account number.

Conditional

N16
[0-9]{1,16}

customer.driverLicenseData

The scanned driver’s license information encoded in Base64 format.

Optional

ANS2000
[\x20-\xFF]{1,2000}

customer.givenName

The first name or given name of the billing customer.

Optional

ANS50
[\x20-\xFF]{1,50}

customer.middleName

The customer’s middle name or initial.

Optional

ANS50
[\x20-\xFF]{1,50}

customer.surname

The last name or surname of the billing customer.

Optional

ANS50
[\x20-\xFF]{1,50}

customer.email

The billing customer’s email address. This is required for some risk checks and transmission of direct debit mandates.

Optional

ANS128
[\x20-\xFF]{6,128}

customer.companyName

The customer’s company name.

Optional

ANS60
[\x20-\xFF]{1,60}

customer.telephone

The telephone number of the company or authorized person to contact.

Optional

AN20
[a-zA-Z0-9\.]{1,20}

customer.idType

The type of identification associated with the identification number of the customer.

Optional

ANS50
[\x20-\xFF]{1,50}

customer.idNumber

The identification number of the customer.

Optional

ANS24
[\x20-\xFF]{1,24}

customer.additionalId1

AdditionalID identifies an additional customer value. Its format is `XXDDVV…​V`, where `XX` identifies the ID owner, `DD` identifies the ID type, and `VV…​V` is the ID value. For example: `010212345678`.
​
The ID owner is `01` for the primary card holder or `02` for the secondary card holder. The ID type is one of the following:
`00` Unspecified
`01` Credit
`02` Driver’s license
`03` Checking account
`04` Debit card
`05` Preferred shopper’s card
`06` State ID
`07` Social security number
`08` Student ID
`09` Employee ID
`10` Passport number
`11` Military ID
`12` Senior citizens ID
`50` Alternate value card
`51` Alternate credit card
`90` EBT card
`91` Calling card
`92` Value card
`93` Prepaid cellular
`94` eWIC card

Optional

ANS40
[\x20-\xFF]{1,40}

customer.additionalId2

AdditionalID identifies an additional customer value. Its format is `XXDDVV…​V`, where `XX` identifies the ID owner, `DD` identifies the ID type, and `VV…​V` is the ID value. For example: `010212345678`.
​
The ID owner is `01` for the primary card holder or `02` for the secondary card holder. The ID type is one of the following:
`00` Unspecified
`01` Credit
`02` Driver’s license
`03` Checking account
`04` Debit card
`05` Preferred shopper’s card
`06` State ID
`07` Social security number
`08` Student ID
`09` Employee ID
`10` Passport number
`11` Military ID
`12` Senior citizens ID
`50` Alternate value card
`51` Alternate credit card
`90` EBT card
`91` Calling card
`92` Value card
`93` Prepaid cellular
`94` eWIC card

Optional

ANS40
[\x20-\xFF]{1,40}

customer.additionalId3

AdditionalID identifies an additional customer value. Its format is `XXDDVV…​V`, where `XX` identifies the ID owner, `DD` identifies the ID type, and `VV…​V` is the ID value. For example: `010212345678`.
​
The ID owner is `01` for the primary card holder or `02` for the secondary card holder. The ID type is one of the following:
`00` Unspecified
`01` Credit
`02` Driver’s license
`03` Checking account
`04` Debit card
`05` Preferred shopper’s card
`06` State ID
`07` Social security number
`08` Student ID
`09` Employee ID
`10` Passport number
`11` Military ID
`12` Senior citizens ID
`50` Alternate value card
`51` Alternate credit card
`90` EBT card
`91` Calling card
`92` Value card
`93` Prepaid cellular
`94` eWIC card

Optional

ANS40
[\x20-\xFF]{1,40}

customer.additionalId4

AdditionalID identifies an additional customer value. Its format is `XXDDVV…​V`, where `XX` identifies the ID owner, `DD` identifies the ID type, and `VV…​V` is the ID value. For example: `010212345678`.
​
The ID owner is `01` for the primary card holder or `02` for the secondary card holder. The ID type is one of the following:
`00` Unspecified
`01` Credit
`02` Driver’s license
`03` Checking account
`04` Debit card
`05` Preferred shopper’s card
`06` State ID
`07` Social security number
`08` Student ID
`09` Employee ID
`10` Passport number
`11` Military ID
`12` Senior citizens ID
`50` Alternate value card
`51` Alternate credit card
`90` EBT card
`91` Calling card
`92` Value card
`93` Prepaid cellular
`94` eWIC card

Optional

ANS40
[\x20-\xFF]{1,40}

customer.cardHolderName

The actual customer name as embossed on the payment card.

Optional

ANS45
[\x20-\xFF]{1,45}

customer.dateOfBirth

The customer’s date of birth in YYYYMMDD format.

Optional

N8
[0-9]{8}

customer.suffix

The customer’s name suffix.

Optional

ANS2
[\x20-\xFF]{1,2}

customer.gender

The customer’s gender.

Optional

A1
[a-zA-Z]{1}

customer.motherMaidenName

The customer’s mother’s maiden name.

Optional

ANS35
[\x20-\xFF]{1,35}

customer.lengthAtAddress

The length of time the customer has lived at the current address, in YYMM format.

Optional

N4
[0-9]{4}

customer.businessTelephone

The customer’s business telephone number.

Optional

ANS20
[\x20-\xFF]{1,20}

customer.previousAddress

The customer’s previous address, including street number and name.

Optional

ANS100
[\x20-\xFF]{1,100}

customer.previousCity

The city of the customer’s previous address.

Optional

ANS20
[\x20-\xFF]{1,20}

customer.previousState

The state or region of the customer’s previous address.

Optional

ANS20
[\x20-\xFF]{1,20}

customer.previousPostcode

The postal code of the customer’s previous address.

Optional

AN9
[a-zA-Z0-9]{1,9}

customer.previousLengthAtAddress

The length of time at the customer’s previous address, in YYMM format.

Optional

N4
[0-9]{4}

customer.previousBusinessTelephone

The business telephone number associated with the customer’s previous address.

Optional

ANS20
[\x20-\xFF]{1,20}

customer.housingCode

The customer’s housing status for the credit application.

Optional

RENT|​
OWN|​
OTHER

customer.occupationCode

The customer’s occupation code used for the credit application.

Optional

ANS2
[\x20-\xFF]{1,2}

customer.yearlyIncome

The customer’s yearly income.

Optional

N8
[0-9]{1,8}

customer.primaryIncomeFrequency

The frequency of the customer’s primary income.

Optional

WEEKLY|​
MONTHLY|​
ANNUALLY

customer.panderFlag

Indicates whether mail may be sent to the customer.

Optional

MAY_SEND_MAIL|​
SHOULD_NOT_SEND_MAIL

customer.insuranceIndicator

Indicates whether the customer selected insurance for card debt. This is used by authorizers that support online credit applications.

Optional

NOT_APPLICABLE|​
PURCHASING_INSURANCE|​
NO_PURCHASING_INSURANCE

customer.patriotPlace

The state or country code of the identification document supplied in the Credit Application request. For example, a passport uses a country code and a US driver’s license uses a state code.

Optional

ANS2
[\x20-\xFF]{1,2}

customer.patriotIssueDate

The issue date of the identification document supplied in the Credit Application request, in YYYYMMDD format.

Optional

N8
[0-9]{8}

customer.patriotExpirationDate

The expiration date of the identification document supplied in the Credit Application request, in YYYYMMDD format.

Optional

N8
[0-9]{8}

customer.authorizedUser

Identifies an authorized user associated with the application.

Optional

ANS64
[\x20-\xFF]{1,64}

customer.jointAuthFlag

Indicates whether the application includes a joint applicant or an authorized buyer.

Optional

JOINT_APPLICATION|​
AUTHORIZED_BUYER

customer.relativeCode

Identifies the authorized buyer’s relationship to the primary customer.

Optional

OTHER|​
SPOUSE

customer.secondaryCustomerFirstName

The first name of the secondary customer.

Optional

ANS50
[\x20-\xFF]{1,50}

customer.secondaryCustomerMiddleName

The middle name or initial of the secondary customer.

Optional

ANS50
[\x20-\xFF]{1,50}

customer.secondaryCustomerSurname

The surname/last name of the secondary customer.

Optional

ANS50
[\x20-\xFF]{1,50}

customer.secondaryCustomerDateOfBirth

The secondary customer’s date of birth in YYYYMMDD format.

Optional

N8
[0-9]{8}

customer.secondaryCustomerHomeTelephone

The secondary customer’s home telephone number.

Optional

ANS20
[\x20-\xFF]{1,20}

customer.secondaryCustomerBusinessTelephone

The secondary customer’s business telephone number.

Optional

ANS20
[\x20-\xFF]{1,20}

customer.secondaryCustomerYearlyIncome

The secondary customer’s yearly income.

Optional

N8
[0-9]{1,8}

customer.secondaryCustomerIncomeFrequency

The frequency of the secondary customer’s income.

Optional

WEEKLY|​
MONTHLY|​
ANNUALLY

customer.cardIssuanceLevel

Indicates the number of times the card has been reissued.

Optional

N1
[0-9]{1}

customer.textFlag

Indicates whether the customer can be contacted via text messaging.

Optional

YES|​
NO

customer.ipAddress

The customer’s IP address.

Optional

ANS45
[\x20-\xFF]{1,45}

billing.street1

The door number, floor, building number, building name, and/or street name of the billing address.

Optional

ANS50
[\x20-\xFF]{1,50}

billing.houseNumber1

Primary house number (door number or building number) of the billing address.
​
If present, then billing.street1 is assumed to contain only the name of the street.

Optional

ANS50
[\x20-\xFF]{1,50}

billing.street2

Additional address data of the company, or authorized person to contact.

Optional

ANS50
[\x20-\xFF]{1,50}

billing.city

The town, district, or city of the billing address.

Optional

ANS20
[\x20-\xFF]{1,20}

billing.state

The county, state, or region of the billing address.

Optional

AN20
[a-zA-Z0-9\.]{1,20}

billing.postcode

The postal code or zip code of the billing address.

Optional

AN9
[A-Za-z0-9]{1,9}

billing.country

The country of the billing address (ISO 3166-1).

Optional

A2
[A-Z]{2}

{displayData_text}

{displayData_text_desc}

Optional

{displayData_text_regex}

printData.text

Print Data returns additional information that can be printed at the POS device. For Credit Application transactions, this field is sent back in the response. It contains current information about the account, such as card number, card expiration date, credit limit, and temporary credit limit. Each print message consists of three elements:
​
Length of the print message, excluding the length field, expressed as `LLLL`.
The print destination field, which contains the `<Number of Print Destination Codes>`, `<Print Designation Code>`, and `<Printer Number>`.
The print message data.
When present, printData.receiptLines[n] provides receipt text as individual lines.
​
Supported print destination codes are:
`A1` Customer receipt
`A2` Customer check
`C2` Register journal
`D3` Register slip
`P1` Account number
`P2` Expiration date, formatted as YYMM
`P3` Credit line, formatted as DDDDDDDDDDDDCC+. For example, $500 = 00000000050000+
`P4` Temporary credit line
`P5` Payment purchase indicator
`P6` Customer service phone number
`P7` POS status description
`P8` Current account balance, formatted as DDDDDDDDDDDDCC+
`P9` Last statement balance, formatted as DDDDDDDDDDDDCC+
`Q0` Open to buy, formatted as DDDDDDDDDDDDCC+
`Q1` Minimum payment due, formatted as DDDDDDDDDDDDCC+
`Q2` Payment due date
`Q3` Customer name
`Q4` Product name
`Q5` In-store payment allowed
`Q6` APR, formatted as XX.XX
​
For a check response, a print line can be represented as `00321D3Day Store Total Cash Num…​`. In this example, the length field is `0032`, the print destination field is `1D3`, and the print message data is `Day Store Total Cash Num`.
​
For a declined response caused by invalid purchased items, a print message can be represented as `00281D3Account is restricted to:00111D3Beverage`. The length field is `LLLL`, the print destination field is `1D3`, and subsequent records contain the description of each item that can be purchased. A maximum of 20 items can be displayed.

Optional

an..9999 LLLLVAR
ANS9999
[\x20-\xFF]{1,9999}

printData.receiptLines[n]

A structured, line-by-line representation of receipt text. Each receiptLines element contains one line.

Optional

ANS999
[\x20-\xFF]{1,999}

balances.availableBalance

Indicates the available balance for the account.

Optional

N8.N4
[0-9]{1,8}(\.[0-9]{1,4})?

balances.ledgerBalance

Indicates the ledger balance for the account.

Optional

N8.N4
[0-9]{1,8}(\.[0-9]{1,4})?

additionalAmounts.creditLimitAmount

Indicates the credit limit amount for the account.

Optional

N8.N4
[0-9]{1,8}(\.[0-9]{1,4})?

Example response
{
  "id": "e8f59d02a466f35a7ece785d3e137e50",
  "amount": "0.00",
  "currency": "USD",
  "result": {
    "code": "000.000.000",
    "description": "Transaction succeeded"
  },
  "accountData": {
    "applicationReferenceNo": "984456789012",
    "referenceNo": "123456789012"
  },
  "customer": {
    "givenName": "JOHN",
    "middleName": "A",
    "surname": "SMITH",
    "additionalId1": "010212345678"
  },
  "displayData": {
    "text": "Approved"
  },
  "printData": {
    "text": "00151Q3JOHN A SMITH00181P300000000100000+00191P15201300002123456",
    "receiptLines": [
      "JOHN A SMITH",
      "00000000100000+",
      "5201300002123456"
    ]
  },
  "timestamp": "2026-08-19 12:00:00"
}

See the standard response section for the complete list of response fields.

2.1.7. Reversal

This payment operation reverses an already processed Pre-Authorization Request, Debit Request, or Credit Request.

A Reversal for a previous pre-authorization request, debit request, credit request, or capture notification is created by sending a POST request over HTTPS to the https://[hostname]:[port]/paymentsapi/opp/v1/payment resource.

A Reversal for a previous pre-authorization request, debit request, credit request, or capture notification is placed onto the Store and Forward Queue (SAFQ) and is generally always automatically approved.

The minimum requirements for sending an RV message are listed here.

See Reversals using referencedMerchantTransactionId for cases where a referencedPaymentId value is not available.

See Result Code Special Notes for cases where an explicit Reversal must be performed.

Parameter name Description Required Regex

Authorization: Bearer <access-token>

An HTTP header access-token for this request.
To be used with the root entityId field only.

Conditionally Required

ANS110
[\x20-\xFF]{0,110}

entityId

The entity associated with the request.
To be used with the HTTP Authorization header only.

Conditionally Required

AN32
[a-f0-9]{32}

amount

Indicates the corrected amount (including all tax, duty, shipping, and discount amounts) for the original transaction in major denomination. This is not an amount that must be subtracted from the original transaction, but rather the corrected (replacement) amount for the original transaction. This field is only required for partial reversals. For full reversals no amount is expected or can be zero-filled.
​
A period (.) is used as a decimal separator in all cases. Based on the currency of the transaction, the correct number of decimals must be provided after the decimal separator.
​
For example, to specify one dollar and fifty cents , the following value would be supplied (USD uses two decimals after the separator): 1.50. To specify zero dollars and 50 cents, the following value would be supplied: 0.50.

Conditional

N8.N4
[0-9]{1,8}(\.[0-9]{1,4})?

pos.terminalId

The terminal identifier assigned by the acquirer.

Required

AN8
[a-zA-Z0-9_]{8}

pos.terminalRestrictions

The field indicates specific rules or limitations applied to a terminal.

Optional

NONE|​
CHIP_BASED|​
HOST_BASED|​
BOTH

paymentType

The payment type indicator.
AR - Admin Request
AN - Admin Notification
DB - Debit Request
CD - Credit Request
CP - Capture Notification
RV - Reversal Notification
PA - Pre-Authorization Request
PC - Pre-Authorization Credit Request
CN - Credit Notification
IR - ICC Data Submission
GD - Stored Value Deactivation
GL - Stored Value Load
GA - Stored Value Activation
GT - Stored Value Top-up
BI - Balance Inquiry
DA - Debit Adjustment
DP - Deposit
RR - Reversal Request
CV - Card Verification
CA - Credit Adjustment
CC - Check Authorization
CG - Check Guarantee
MS - Mini Statement

Required

RV

correlationId

An originator identifier of a transaction that is to be used throughout a multiple server system. This identifier should be transparently transmitted to upstream entities. It can be used to collate related transactions together, such as an authorization and its completion or reversal. A new ID is generated for request messages when an ID is not supplied. A correlation ID supplied on subsequent linked messages must match the ID of the original message.

Optional

ANS36
[\x20-\xFF]{1,36}

referencedPaymentId

The "Id" response of the original PA, DB, CD, CP or stored value transaction that is to be reversed.

Conditional

ANS32
[\x20-\xFF]{1,32}

memoPost

When this flag is set to true, it indicates that this is a memoPost transaction, which is only captured for memo/reporting purposes.

Optional

true|false

merchant.acquiringInstitutionCode

A code identifying the financial institution acting as the acquirer of this customer transaction.
This field is supported in payment, batch, and network management messages. For payment messages, if this field is not provided, the system will fall back to the `PSTLN_ACQUIRING_INSTITUTION_CODE` customParameter if present.

Optional

AN11
^[a-zA-Z0-9]{1,11}$

merchant.marketplaceId

The marketplace ID.

Optional

AN11
[a-zA-Z0-9]{1,11}

Example
curl http://[hostname]:[port]/paymentsapi/opp/v1/payment -v
  -H "Authorization: Bearer NjAyNTYzYjdmOGVmyODA0NEY0Rj..."
  -d "entityId=b964f0e254a717c1524355a6149b575d"
  -d "paymentType=RV"
  -d "amount=15.00"
  -d "pos.terminalId=38956111"
  -d "referencedPaymentId=1b8cd7b6c81c9883e8926f04985fa7b5"

2.1.8. Reversal Request

This payment operation reverses an already processed Pre-Authorization Request, Debit Request, or Credit Request.

A Reversal Request for a previous pre-authorization request, debit request, credit request, or capture notification is created by sending a POST request over HTTPS to the https://[hostname]:[port]/paymentsapi/opp/v1/payment resource.

A Reversal Request for a previous pre-authorization request, debit request, credit request, or capture notification and can be declined by the host.

The minimum requirements for sending an RR message are listed here.

See Reversals using referencedMerchantTransactionId for cases where a referencedPaymentId value is not available.

See Result Code Special Notes for cases where an explicit Reversal Request must be performed.

Parameter name Description Required Regex

Authorization: Bearer <access-token>

An HTTP header access-token for this request.
To be used with the root entityId field only.

Conditionally Required

ANS110
[\x20-\xFF]{0,110}

entityId

The entity associated with the request.
To be used with the HTTP Authorization header only.

Conditionally Required

AN32
[a-f0-9]{32}

amount

Indicates the corrected amount (including all tax, duty, shipping, and discount amounts) for the original transaction in major denomination. This is not an amount that must be subtracted from the original transaction, but rather the corrected (replacement) amount for the original transaction. This field is only required for partial reversals. For full reversals no amount is expected or can be zero-filled.
​
A period (.) is used as a decimal separator in all cases. Based on the currency of the transaction, the correct number of decimals must be provided after the decimal separator.
​
For example, to specify one dollar and fifty cents , the following value would be supplied (USD uses two decimals after the separator): 1.50. To specify zero dollars and 50 cents, the following value would be supplied: 0.50.

Required

N8.N4
[0-9]{1,8}(\.[0-9]{1,4})?

pos.terminalId

The terminal identifier assigned by the acquirer.

Required

AN8
[a-zA-Z0-9_]{8}

pos.terminalRestrictions

The field indicates specific rules or limitations applied to a terminal.

Optional

NONE|​
CHIP_BASED|​
HOST_BASED|​
BOTH

paymentType

The payment type indicator.
AR - Admin Request
AN - Admin Notification
DB - Debit Request
CD - Credit Request
CP - Capture Notification
RV - Reversal Notification
PA - Pre-Authorization Request
PC - Pre-Authorization Credit Request
CN - Credit Notification
IR - ICC Data Submission
GD - Stored Value Deactivation
GL - Stored Value Load
GA - Stored Value Activation
GT - Stored Value Top-up
BI - Balance Inquiry
DA - Debit Adjustment
DP - Deposit
RR - Reversal Request
CV - Card Verification
CA - Credit Adjustment
CC - Check Authorization
CG - Check Guarantee
MS - Mini Statement

Required

RR

referencedPaymentId

The "Id" response of the original PA, DB, CD, CP or stored value transaction that is to be reversed.

Conditional

ANS32
[\x20-\xFF]{1,32}

memoPost

When this flag is set to true, it indicates that this is a memoPost transaction, which is only captured for memo/reporting purposes.

Optional

true|false

correlationId

An originator identifier of a transaction that is to be used throughout a multiple server system. This identifier should be transparently transmitted to upstream entities. It can be used to collate related transactions together, such as an authorization and its completion or reversal. A new ID is generated for request messages when an ID is not supplied. A correlation ID supplied on subsequent linked messages must match the ID of the original message.

Optional

ANS36
[\x20-\xFF]{1,36}

merchant.acquiringInstitutionCode

A code identifying the financial institution acting as the acquirer of this customer transaction.
This field is supported in payment, batch, and network management messages. For payment messages, if this field is not provided, the system will fall back to the `PSTLN_ACQUIRING_INSTITUTION_CODE` customParameter if present.

Optional

AN11
^[a-zA-Z0-9]{1,11}$

merchant.marketplaceId

The marketplace ID.

Optional

AN11
[a-zA-Z0-9]{1,11}

Example
curl http://[hostname]:[port]/paymentsapi/opp/v1/payment -v
[...]
